### Property

# Adw HeaderBar:title-widget

#### Declaration

    property title-widget: Gtk.Widget [ read, write ]

#### Description [src]

The title widget to display.

When set to `NULL`, the header bar will display the title of the window it is contained in.

To use a different title, use `AdwWindowTitle`:

    <object class="AdwHeaderBar">
      <property name="title-widget">
        <object class="AdwWindowTitle">
          <property name="title" translatable="yes">Title</property>
        </object>
      </property>
    </object>

Type: | `GtkWidget`
Available since: | 1.0

Getter method | `adw_header_bar_get_title_widget()`
Setter method | `adw_header_bar_set_title_widget()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no